Bug 182045 - gnome-system-log crashes if you 'close' a log file....
gnome-system-log crashes if you 'close' a log file....
Product: Fedora
Classification: Fedora
Component: gnome-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
Reported: 2006-02-19 13:46 EST by Tom London
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 09:59:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom London 2006-02-19 13:46:38 EST
Description of problem:
If you try to close an open log file (File->Close), the app crashes:

[tbl@localhost ~]$ gnome-system-log

(gnome-system-log:4637): gnome-system-log-CRITICAL **: log_close: assertion
`log' failed

(gnome-system-log:4637): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed
[tbl@localhost ~]$

Version-Release number of selected component (if applicable):

How reproducible: Always

Steps to Reproduce:
1. Start app.
2. Open /var/log/messages
3. Close /var/log/messages
Actual results:

Expected results:

Additional info:
Comment 1 Matthias Clasen 2006-02-20 18:50:31 EST
Seems to happen when the last open log is closed
Comment 2 Matthias Clasen 2006-02-20 18:56:51 EST
Filed upstream as http://bugzilla.gnome.org/show_bug.cgi?id=331958
Comment 3 Matthias Clasen 2006-02-20 23:02:41 EST
Fixed in gnome-utils-2.13.92-4, needs moving to dist-fc5
Comment 4 Tom London 2006-02-21 09:59:30 EST
WFM in gnome-utils-2.13.92-4.

Thanks for the (incredibly) fast fix!


Note You need to log in before you can comment on or make changes to this bug.